summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2019-07-11 09:42:50 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2019-07-11 14:27:10 +0200
commit31dcba97088a5ae9b146103328066e2995fce528 (patch)
tree9d05bdbd6fd6b2e3d5a0b7b7c07d1703e942b88b /www-apps
parentsci-libs/blis: fix unmatched keywords and maintainer type. (diff)
downloadgentoo-31dcba97088a5ae9b146103328066e2995fce528.tar.gz
gentoo-31dcba97088a5ae9b146103328066e2995fce528.tar.bz2
gentoo-31dcba97088a5ae9b146103328066e2995fce528.zip
www-apps/owncloud: 10.2.1 bump
owncloud is still not compatible with php 7.3 Handle upcoming removal of dev-lang/php USE hash Closes: https://bugs.gentoo.org/688062 Closes: https://bugs.gentoo.org/688870 Package-Manager: Portage-2.3.68, Repoman-2.3.16 Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/owncloud/Manifest1
-rw-r--r--www-apps/owncloud/owncloud-10.2.1.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/www-apps/owncloud/Manifest b/www-apps/owncloud/Manifest
index c9032cdab74..9652199fb28 100644
--- a/www-apps/owncloud/Manifest
+++ b/www-apps/owncloud/Manifest
@@ -1,3 +1,4 @@
DIST owncloud-10.0.10.tar.bz2 44943557 BLAKE2B a2cdfbef7affc306b7653f1841b0bb2e781d849bbd62d9b8a0f3a019cca5be8a02ca27b5fa5cbb39ddb9a440aa917b279c937ebdae034504d5c1b9ed3eeee603 SHA512 77f9567395ee5319afc397ed7b9bd93687ddfb90022445be06adfb58ae49557223227a656b638b1cdac19b730509292e7ba260846c9f67540418267ac7b518f7
DIST owncloud-10.1.1.tar.bz2 20272676 BLAKE2B 36f4a1fb513dc1a49ba571935de309f78c12fad11b4b5297c48fa02541a7c7858ce8c525847c44b89e43a5142f52e37c9c23cfff71aef9380b4192729e5b110c SHA512 4252ac71b87bd7a6372507a501dea4022420b7c2cb6556ec258091238cf3b347a33cd56c2a8afefcf971c0bbd68422fc86db8be2e6bf8fb3b6c76ff3aac228e8
DIST owncloud-10.2.0.tar.bz2 20370460 BLAKE2B df52e0bfd7090dcddffc2bd87059e17d575ac250bc737a6b38c45ec73cd793e2b2d3deb0bd17e7f91f858e9c4ffe92a551de8204cc0c0246ba833b93721ab3ed SHA512 cbeacfaee4b29d01bbea2a2a0800c34d4ec3d3a430e287b39df1414c359c1aeeaf61fe7d044674f44180bb37962c44f87392a663273e447cd6b0f4d2d62201a6
+DIST owncloud-10.2.1.tar.bz2 20354052 BLAKE2B da7c148e322c202ba599421cdbaf3b20f9ed9d490e7bfe7427a0892bbd1fc12520b21b9769d3afedeb93108632a58efbc13f919f20bc9b8a0faec88010f14540 SHA512 316125cd9540c1830a122fb56ee4bd4df1eedc397ef24996ee7dca582989bdfaee4ab659df3bac2a905c817919f2804bdc419ab18c9db2461909cf5941dda169
diff --git a/www-apps/owncloud/owncloud-10.2.1.ebuild b/www-apps/owncloud/owncloud-10.2.1.ebuild
new file mode 100644
index 00000000000..a0cf0b0eccd
--- /dev/null
+++ b/www-apps/owncloud/owncloud-10.2.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="https://owncloud.org"
+SRC_URI="https://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="<dev-lang/php-7.3[curl?,filter,gd,hash(+),intl,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}